Bug 22034 - Viewing record with Default framework doesn't work on MARC tab
Summary: Viewing record with Default framework doesn't work on MARC tab
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-20 19:08 UTC by Katrin Fischer
Modified: 2019-01-16 08:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 22034: Handle default framework for MARC view with framework (2.12 KB, patch)
2018-12-20 22:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22034: Handle default framework for MARC view with framework (2.27 KB, patch)
2018-12-21 15:06 UTC, Devinim
Details | Diff | Splinter Review
Bug 22034: Handle default framework for MARC view with framework (2.32 KB, patch)
2019-01-01 21:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-12-20 19:08:11 UTC
To test:

- Create a record in any framework that is not default
- Search for the record in your catalog
- Switch to the MARC tab
- Change framework pull down to default on top
- Note the page reloads, but the framework doesn't stay default
- Verify it works for other frameworks
Comment 1 Jonathan Druart 2018-12-20 22:57:37 UTC
Created attachment 83437 [details] [review]
Bug 22034: Handle default framework for MARC view with framework

To test:

- Create a record in any framework that is not default
- Search for the record in your catalog
- Switch to the MARC tab
- Change framework pull down to default on top
- Note the page reloads and the framework stay default
- Verify it works for other frameworks

Also test the "labeled MARC" view (you will need the pref viewLabeledMARC turned on)
Comment 2 Devinim 2018-12-21 15:06:44 UTC
Created attachment 83465 [details] [review]
Bug 22034: Handle default framework for MARC view with framework

To test:

- Create a record in any framework that is not default
- Search for the record in your catalog
- Switch to the MARC tab
- Change framework pull down to default on top
- Note the page reloads and the framework stay default
- Verify it works for other frameworks

Also test the "labeled MARC" view (you will need the pref viewLabeledMARC turned on)

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 3 Katrin Fischer 2019-01-01 21:54:09 UTC
Created attachment 83560 [details] [review]
Bug 22034: Handle default framework for MARC view with framework

To test:

- Create a record in any framework that is not default
- Search for the record in your catalog
- Switch to the MARC tab
- Change framework pull down to default on top
- Note the page reloads and the framework stay default
- Verify it works for other frameworks

Also test the "labeled MARC" view (you will need the pref viewLabeledMARC turned on)

Signed-off-by: Nazlı Çetin <nazli@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-01-02 21:12:15 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-07 15:18:59 UTC
Pushed to 18.11.x for 18.11.02
Comment 6 Jesse Maseto 2019-01-09 13:05:31 UTC
Pushed to 18.05.x for 18.05.08
Comment 7 Fridolin SOMERS 2019-01-16 08:15:03 UTC
Pushed to 17.11.x for 17.11.14